Subject: RE: Re: UTF-8 issues (Re: Open issues in DHCP FQDN,DHCID and DDNS-DHCP Related RFCs)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 02 Feb 2006 23:25:42 -0800

--On 2. februar 2006 23:12 -0500 "Bernie Volz (volz)" <[email-masked]> 
wrote:

> Actually, I do now have a suggestion:
>
>    Clients and servers SHOULD follow the character-set recommendations
>    of RFC 1035 section 2.3.1.  However, implementers SHOULD also
>    be aware that some client software may use other character-sets.
>    This specification does not require support for any other
>    character-sets.
>
> If you don't like this, PLEASE SUGGEST ALTERNATIVE TEXT.

Bernie - are my messages not getting through to the DHCWG list?

I like this text, but you need to add the reference to RFC 1123 section 2.1 
I mentioned earlier (the text that allows 3com) - and Mark Andrews seems to 
want to reference RFC 952 rather than RFC 1035.

My suggestion (slight modification) would be:

>    Clients and servers SHOULD follow the character-set recommendations
>    of RFC 1035 section 2.3.1, as modified by RFC 1123 section 2.1.
>    However, implementers SHOULD also
>    be aware that some client software may send data intended to be
>    in other character sets.
>    This specification does not require support for any other
>    character sets.

If referring to 952:

  Clients and servers SHOULD follow the character-set rules of RFC 952,
  fourth section, first 2 sentences, as modified by RFC 1123 section 2.1.

    However, implementers SHOULD also
    be aware that some client software may send data intended to be in
    other character sets.
    This specification does not require support for any other
    character sets.

That's specific...

                        Harald

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Masataka Ohta <[email-masked]>
Date: Tue, 07 Feb 2006 05:00:34 +0900

Bernie Volz (volz) wrote:

> So, I think we want to drop or replace the LAST paragarph in section
> 3.3.1 of draft-ietf-dhc-fqdn-option-11.txt.

Sure.

> If you don't like this, PLEASE SUGGEST ALTERNATIVE TEXT.

We should also give reference to section 2.3.3.

We don't have to say anything about "character-sets".

So, the text could be:

>    be aware that some client software may "use the full binary octet
>    capabilities in names" as described in section 2.3.3 of RFC1035.

						Masataka Ohta